#!/bin/bash

# further info here:
# http://manual.gromacs.org/documentation/2016.2/install-guide/index.html

export GROMACS_VER=2016.31
export CURRENT_DIR=`pwd`

curl -O http://files.linux-bench.com/lb/gromacs-${GROMACS_VER}.tar.gz
tar -xzf ${CURRENT_DIR}/gromacs-${GROMACS_VER}.tar.gz

export SOURCE_DIR=${CURRENT_DIR}/gromacs-${GROMACS_VER}
export BUILD_DIR=${SOURCE_DIR}/build
export INSTALL_DIR=${CURRENT_DIR}/${GROMACS_VER}

export CFLAGS='-march=native -O3'
export CXXFLAGS='-march=native -O3'

mkdir -p ${BUILD_DIR} && cd ${BUILD_DIR} && rm -r ${BUILD_DIR}/*

cmake .. -DGMX_GPU=OFF \
-DCMAKE_C_COMPILER=gcc \
-DCMAKE_CXX_COMPILER=g++ \
-DGMX_BUILD_OWN_FFTW=ON \
-DCMAKE_INSTALL_PREFIX=${INSTALL_DIR}

make -j `getconf _NPROCESSORS_ONLN`
make install
make distclean
cd ${CURRENT_DIR}
ln -s ${INSTALL_DIR}/bin/gmx .
