#!/bin/bash

#echo `which gmx`
./gmx --version

# pre-processor to generate binary .tpr run inupt file
./gmx grompp -f md.mdp -p topol.top -c npt.gro -o md.tpr

# run the MD simulation, -maxh is a runtime limit in hours: 0.1 means 6 minutes
# after that gromacs gracefully exits, although total simulation time is not reached
# and writes a checkpoint file and posts the performance statistics in the .log file
./gmx mdrun -deffnm md -maxh 0.25

# the performance in ns/day (simulated nanoseconds of the proteins motion per day) 
# can be found in the last lines of md.log
